Jump to content

Welcome to the Heroes of Newerth forums

The forums have received a complete makeover. Click the button below to read more about it.
Read more

"Compatize" download of old versions gets stuck


Recommended Posts

Hi there,

I'm trying to watch some old replays of mine, around version 1.0.2 - 2.5.3 (between 2009 and 2011 I think), but whenever I try to "compatize" the download for the old version gets stuck at an arbitrary point (changes randomly on retries). Do you have any insights on what could be causing this or how to resolve it?

Thanks!

Link to post
Share on other sites
31 minutes ago, ElementUser said:

Unfortunately, compatizing does not guarantee support back to old versions (as there are too many actual differences in code/the engine by that time).

Aw, too bad. I suppose I'll have to dig around for an old version of the game then. There wouldn't be any official ways to obtain those by any chance?  

Anyway, nice to see you're still around after all those years, EU ?

Link to post
Share on other sites
  • 5 weeks later...

There used to be a command "ForceUpdate version-string patchserver1 patchserver2" with which you could update to different versions.
That command is long gone (and I just think it was written like this, it might actually be different) but if you want to go into 1.x/2.x versions, it still exists. I don't know if the patch-server/files still exist though ?.

Link to post
Share on other sites

I have a bunch of old patches saved on a harddrive, but unfortunately nothing that far back. Even if you did get your hands on a patch that old, there's a risk it wouldn't work anyway. The last time I tried working with old replays (Played around 3.8 I believe) I had tons of issues, even when I opened them on the correct patch. I personally would've loved to work with some really old stuff, but I doubt that would every work.

Link to post
Share on other sites
5 hours ago, Acnowlogia said:

So are you saying that replays dated around 2012-2013, or 2015-2016 would not work anymore?

Damn I won't get to see myself pawning H4nn1 anymore this life.

I wouldn't say that for sure, but I had problems with some pre-4.0 patches (not all I believe). It might've been a temporary issue or perhaps it doesn't affect older patches than the ones I tried. Either way, I'd say there's a big risk that replays that old will never be watchable again.

If you do have the correct patch, you could give it a try, but compatizing as far back as 2013 simply won't happen.

It's a shame, because I would also have loved to record some old school games with the likes of H4nn1.

  • Sad 1
Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...